[Support] Linuxserver.io - Plex Media Server


Recommended Posts

I just installed the new 1.21.x version, and HDR to SDR encode works like a charm with hw transcode.

I have a 7700T (Kaby Lake), which supports hevc 10bit encode, decode.

 

very nice, now remote users can watch HDR content easily. I even found the server side tonemap better, than the one done by PMP on directplay playback on sdr devices (w10).

 

just my experience, maybe useful for others. I'm still on 6.8.x

Link to comment
7 minutes ago, LSL1337 said:

I just installed the new 1.21.x version, and HDR to SDR encode works like a charm with hw transcode.

I have a 7700T (Kaby Lake), which supports hevc 10bit encode, decode.

 

very nice, now remote users can watch HDR content easily. I even found the server side tonemap better, than the one done by PMP on directplay playback on sdr devices (w10).

 

just my experience, maybe useful for others. I'm still on 6.8.x

Hi thats good to know, did you have to download the extra stuff as I'm running a i5 7400. 

Link to comment
2 hours ago, kennelfort said:

Hey folks.

 

I've been reading this forum trying to find my specific issue but haven't found it yet.

 

Hopefully this is a very simple fix.

MY GOAL: I want Lidarr to download into a staging directory so I can review the tagging before I add the music to my collection.

I realize I could just have it stop at the Completed Downloads folder, but that is a separate and useful part of the workflow for me. 

The zzzLIDARR folder is just for tag-checking and fixing. 

 

I see a lot of folks saying to set up my paths like Radarr or Sonarr. So I tried that:

 

Here is how my paths are set up in the RADARR Docker page:

image.png.7aaf8e7485bb891c9cece6108f37c0f1.png

 

And here is how it looks in the Radarr Download Client page:

image.thumb.png.278764d0a8c88bce52755c6a0bce8d39.png

 

For Lidarr I set the docker page like this:

image.png.97db2165e45bd7f1719246b91034d7d9.png

 

But when I try to set the download client paths I get this:

image.thumb.png.2cfc50cc280225f7e5ae525342683cf8.png

 

The only difference is that I'm routing the downloads to a sub-folder. The path does exist as we can see here in Krusader.

image.png.38170251b904b8d942829312cc208ba2.png

 

What am I doing wrong?

 

 

image.png

Why are you posting about lidarr in the Plex support thread?

  • Haha 1
Link to comment
1 hour ago, coblck said:

So trying to download the dependences for hdr transcoding but getting this error, how can i fix it.

 

image.png

Assuming those libraries and drivers need to be installed, "sudo" is not needed/supported on unRAID (as the error suggests).

 

The root user already has elevated privileges and you do not need to run sudo first before the apt install command.

 

FYI - anything installed in the container this way gets lost when the container is updated.

Edited by Hoopster
  • Thanks 1
Link to comment
1 hour ago, Hoopster said:

Assuming those libraries and drivers need to be installed, "sudo" is not needed/supported on unRAID (as the error suggests).

 

The root user already has elevated privileges and you do not need to run sudo first before the apt install command.

 

FYI - anything installed in the container this way gets lost when the container is updated.

You can make a folder called "custom-cont-init.d" in the /config folder location and put a script in there.

It gets executed during start/restart of the container.
This applies to Linuxserver containers only, that I know of.
Read more here, under "Custom Scripts".
 

  • Thanks 1
Link to comment
17 hours ago, david279 said:

@Lunks did you check out the dependences part here

 

https://support.plex.tv/articles/hdr-to-sdr-tone-mapping/

 

Looks like for intel transcoding some dependences may need to be added for intel. 

I assumed this would be done by the Plex docker, wouldn't it?

 

Edit: Confirmed they are already installed in the Docker container.

Edited by Lunks
Link to comment
5 hours ago, Hoopster said:

Assuming those libraries and drivers need to be installed, "sudo" is not needed/supported on unRAID (as the error suggests).

 

The root user already has elevated privileges and you do not need to run sudo first before the apt install command.

 

FYI - anything installed in the container this way gets lost when the container is updated.

Hi so do we need these drivers if you using a intel kaby lake or later igpu. 

Link to comment
On 11/24/2020 at 2:17 PM, Lunks said:

I assumed this would be done by the Plex docker, wouldn't it?

 

Edit: Confirmed they are already installed in the Docker container.

Hi,

 

Yes everything seems to be up to date from my side, unraid/container/plex, but surprisingly, intel HW Acceleration for 4K with tone mapping seems to fail. See my post:

 

Link to comment
5 hours ago, mmz06 said:

Hi,

 

Yes everything seems to be up to date from my side, unraid/container/plex, but surprisingly, intel HW Acceleration for 4K with tone mapping seems to fail. See my post:

 

may ahead, didnt work here also before plex updated their dockers, lsio also updated already so make sure your docker is up to date (not only plex by restarting).

 

and you have a cpu/igpu which is coffeelake ++ ? someone here said he is on kabylake and its working, but plex notes say coffeelake ++

Link to comment
7 hours ago, mmz06 said:

Hi,

 

Yes everything seems to be up to date from my side, unraid/container/plex, but surprisingly, intel HW Acceleration for 4K with tone mapping seems to fail. See my post:

 

Having the same issue here as well on an 15-10400. Everything is up to date, 6.9 beta 35 installed, but hw acceleration fails for 4k with tone mapping with the error "beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware".

Link to comment
17 minutes ago, coblck said:

Running i5 7400 kabylake with intel uhd630 and works great for me 

I'm afraid this is HD630 instead of UHD630 for Kaby Lake:

https://ark.intel.com/content/www/us/en/ark/products/97147/intel-core-i5-7400-processor-6m-cache-up-to-3-50-ghz.html

It reminds me that it took a long time, like a few months for UH630 to be supported by the i915 driver in Unraid linux Kernel...

 

 

Link to comment
3 minutes ago, coblck said:

Works perfect anyway my apologies in misleading 

No worries, at least it works for you, this is quite positive !!! 😃

 

59 minutes ago, JoshHuman said:

Having the same issue here as well on an 15-10400. Everything is up to date, 6.9 beta 35 installed, but hw acceleration fails for 4k with tone mapping with the error "beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware".

Now at least it's a good start, we have a culprit...

Again, I hope it's just a matter of waiting for the right driver to be available, and thankfully it's not an issue with a kernel one, so fix should come soon...

 

Thank you for your feedback guys, I appreciate this community. 👍

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.